enum SectorType {
  FOOD_SERVICE
  FACILITIES
  HEALTHCARE
  EDUCATION
  CORPORATE
  SPORTS_ENTERTAINMENT
}

type Sector @table(name: "sector") {
  id: UUID! @default(expr: "uuidV4()")
  sectorNumber: String! 
  sectorName: String!
  sectorType: SectorType 
  createdDate: Timestamp @default(expr: "request.time")
  updatedDate: Timestamp @default(expr: "request.time")
  createdBy: String @default(expr: "auth.uid")
}
